#include "Gedeng/Logger.h"
#include "spdlog/common.h"
#include "spdlog/sinks/stdout_color_sinks.h"
#include "spdlog/spdlog.h"

namespace Gedeng {

std::shared_ptr<spdlog::logger> Logger::core_logger;
std::shared_ptr<spdlog::logger> Logger::client_logger;

void Logger::init() {
    spdlog::set_pattern("%^[%T] %n: %v%$");

    core_logger = spdlog::stdout_color_mt("GEDENG");
    core_logger->set_level(spdlog::level::trace);

    client_logger = spdlog::stdout_color_mt("APP");
    client_logger->set_level(spdlog::level::trace);
}

} // namespace Gedeng
